

// // // //


ЗагрузитьТекстуры = мир =>
{
    var план = 0;
    var факт = 0;

    for (var указатель in мир.текстуры)
    {
        for (var файл in мир.текстуры[указатель])
        {
            ++план;
            загрузитьТекстуру(
                мир,
                указатель,
                файл,
                function(текстура) {
                    мир.текстуры[указатель][файл] = текстура;
                    
                    if (++факт == план)
                    {
                        мир.уведомить("загрузили текстуры");
                    }
                }
            );
        }
    }
};


// // // //


ЗагрузитьПолигональныеСетки = мир =>
{
    var план = 0;
    var факт = 0;

    for (var указатель in мир.полигональныеСетки)
    {
        for (var файл in мир.полигональныеСетки[указатель])
        {
            ++план;
            загрузитьПолигональнуюСетку(
                мир,
                указатель,
                файл,
                function(сетка) {
                    мир.полигональныеСетки[указатель][файл] = сетка;
                    
                    if (++факт == план)
                    {
                        мир.уведомить("загрузили полигональные сетки");
                    }
                }
            );
        }
    }
};